package thegame.shared;


/**
 * Holds the constants used by GameConnections and GameServer.
 * @author Erki Suurjaak
 * @version 0.99 (2000/08/28)
 */
public interface GameConnectionConstants
{
  /** The default port the GameServer listens on. */
  public static final int
  DEFAULT_SERVER_PORT = 6666;

  /** Is used for separating message atoms. */
  public static final String
  DELIMITER = "&";

  public static final int
  P2P_MOVE_MADE_MESSAGE = 100,
  P2P_WINNING_MOVE_MADE_MESSAGE = 101,
  P2P_NEW_GAME_REQUESTED_MESSAGE = 102,
  P2P_PLAYER_SURRENDERED_MESSAGE = 103,
  P2P_TEXT_MESSAGE = 104,
  P2P_NEW_GAME_ACCEPTED_MESSAGE = 105,
  P2P_NEW_GAME_REFUSED_MESSAGE = 106,

  P2S_PLAYER_QUIT_MESSAGE = 201,
  P2S_CREATE_GAME_MESSAGE = 202,
  P2S_JOIN_GAME_MESSAGE = 203,
  P2S_PLAYER_NAME_MESSAGE = 204,
  P2S_PLAYER_RETURNED_TO_START_SCREEN_MESSAGE = 205,
  P2S_PLAYER_WAITED_FOR_NEW_PLAYER_MESSAGE = 206,
  P2S_READY_FOR_PLAYER_LIST_MESSAGE = 207,

  S2P_PLAYER_JOINED_MESSAGE = 301,
  S2P_PLAYER_LIST_MESSAGE = 302,
  S2P_PLAYER_NAME_OK_MESSAGE = 303,
  S2P_PLAYER_NAME_NOT_OK_MESSAGE = 304,
  S2P_PLAYER_QUIT_MESSAGE = 305,
  S2P_PLAYER_RETURNED_TO_START_SCREEN_MESSAGE = 306,
  S2P_PLAYER_DROPPED_MESSAGE = 307,
  S2P_JOIN_GAME_FAILED_MESSAGE = 308,
  S2P_JOIN_GAME_SUCCEEDED_MESSAGE = 309,
  S2P_SERVER_SHUTDOWN_MESSAGE = 310,

  SHUTDOWN_MESSAGE = 1000;
  
  /** All the player-to-system messages. */
  public static final int[]
  PLAYER_TO_SYSTEM_MESSAGES = {P2S_PLAYER_QUIT_MESSAGE, P2S_CREATE_GAME_MESSAGE,
                               P2S_JOIN_GAME_MESSAGE, P2S_PLAYER_NAME_MESSAGE,
                               P2S_PLAYER_RETURNED_TO_START_SCREEN_MESSAGE,
                               P2S_PLAYER_WAITED_FOR_NEW_PLAYER_MESSAGE,
                               P2S_READY_FOR_PLAYER_LIST_MESSAGE, };


}
